Name:           graphite-web
Version:        0.9.10
Release:        1%{?dist}
Summary:        A Django webapp for enterprise scalable realtime graphing

License:        ASL 2.0
URL:            https://launchpad.net/graphite/
Source0:        https://github.com/downloads/graphite-project/graphite-web/graphite-web-0.9.10.tar.gz
Source1:        graphite-web-vhost.conf
Source2:        graphite-web-README.fedora
Patch0:         graphite-web-0.9.10.patch
BuildRoot:      %{_tmppath}/graphite-web-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel
Requires:       python-whisper, Django, mod_python, python-sqlite2, django-tagging
Requires:       bitmap-fonts, pycairo, python-simplejson


%description
Graphite consists of a storage backend and a web-based visualization frontend.
Client applications send streams of numeric time-series data to the Graphite
backend (called carbon), where it gets stored in fixed-size database files
similar in design to RRD. The web frontend provides user interfaces
for visualizing this data in graphs as well as a simple URL-based API for
direct graph generation.

Graphite's design is focused on providing simple interfaces (both to users and
applications), real-time visualization, high-availability, and enterprise
scalability.


%package selinux
Summary:        SELinux labeling for graphite files
Requires:       %name = %version-%release
Requires(post): policycoreutils-python
Requires(postun): policycoreutils-python


%description selinux
SELinux labeling for graphite files.


%prep
%setup -q -n graphite-web-%{version}
# Patch for Filesystem Hierarchy Standard
%patch0 -p1
%{__install} -m 644 %{SOURCE2} README.fedora


%build
%{__python} setup.py build


%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

# Create directories 
%{__mkdir_p} %{buildroot}%{_localstatedir}/lib/graphite-web
%{__mkdir_p} %{buildroot}%{_localstatedir}/log/graphite-web
%{__mkdir_p} %{buildroot}%{_sysconfdir}/graphite-web

# Install some default configurations and wsgi
%{__install} -Dp -m0644 conf/dashboard.conf.example %{buildroot}%{_sysconfdir}/graphite-web/dashboard.conf
%{__install} -Dp -m0644 webapp/graphite/local_settings.py.example %{buildroot}%{_sysconfdir}/graphite-web/local_settings.py
%{__install} -Dp -m0755 conf/graphite.wsgi.example %{buildroot}%{_datarootdir}/graphite/graphite-web.wsgi
%{__install} -Dp -m0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/httpd/conf.d/graphite-web.conf

# Create local_settings symlink
pushd %{buildroot}%{python_sitelib}/graphite
%{__ln_s} %{_sysconfdir}/graphite-web/local_settings.py
popd

# Don't ship bins that are not needed for prodcution
%{__rm} %{buildroot}%{_bindir}/{build-index.sh,run-graphite-devel-server.py}


%post selinux
semanage fcontext -a -t httpd_sys_content_t '%{_localstatedir}/lib/graphite-web(/.*)?' 2>/dev/null || :
restorecon -R %{_localstatedir}/lib/graphite-web || :


%postun selinux
if [ $1 -eq 0 ] ; then
semanage fcontext -d -t httpd_sys_content_t '%{_localstatedir}/lib/graphite-web(/.*)?' 2>/dev/null || :
fi


%files
%doc README.fedora LICENSE conf/* examples/*
%{python_sitelib}/*
%{_datarootdir}/graphite
%config(noreplace) %{_sysconfdir}/httpd/conf.d/graphite-web.conf
%config(noreplace) %{_sysconfdir}/graphite-web/local_settings.py
%ghost %{_sysconfdir}/graphite-web/local_settings.pyc
%ghost %{_sysconfdir}/graphite-web/local_settings.pyo
%config(noreplace) %{_sysconfdir}/graphite-web/dashboard.conf
%attr(-,apache,apache) %dir %{_localstatedir}/log/graphite-web
%attr(-,apache,apache) %dir %{_sharedstatedir}/graphite-web

%files selinux

%changelog
* Thu May 31 2012 Jonathan Steffan <jsteffan@fedoraproject.org> - 0.9.10-1
- Initial Package
